## rust-cbindgen-web 0.26.0

=== debian/changelog ===
rust-cbindgen-web (0.26.0-3~deb11u1) bullseye; urgency=medium

  * Backport to bullseye.
  * Lower dh-cargo requirement to 24.
  * Build with cargo-mozilla.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 06 Jun 2024 12:40:30 +0200

rust-cbindgen-web (0.26.0-3~deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Backport to bookworm as rust-cbindgen-web. Since we're vendoring
    the dependencies, we can't easily ship a librust-cbindgen-dev package
    as it's dependencies won't be available, and there are build-rdeps
    for that binary now so we can't just disable it.
  * Vendor dependencies, they are not available in bookworm.
  * Only build the cbindgen binary.
  * Build with rustc-web.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 05 Jun 2024 11:35:17 +0200

rust-cbindgen (0.26.0-3) unstable; urgency=medium

  * Team upload.
  * Package cbindgen 0.26.0 from crates.io using debcargo 2.6.1
  * Relax depenency on indexmap.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 11 Feb 2024 02:08:44 +0000

rust-cbindgen (0.26.0-2) unstable; urgency=medium

  * Team upload.
  * Package cbindgen 0.26.0 from crates.io using debcargo 2.6.0
  * Fix tests failing with permission denied error.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 28 Sep 2023 06:09:17 +0000

rust-cbindgen (0.26.0-1) unstable; urgency=medium

  * Package cbindgen 0.26.0 from crates.io using debcargo 2.6.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Sep 2023 09:23:43 +0200

rust-cbindgen (0.24.5-1) unstable; urgency=medium

  * Team upload.
  * Package cbindgen 0.24.5 from crates.io using debcargo 2.6.0
  * Further relax dev-dependency on serial-test.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 06 Aug 2023 12:55:01 +0000

rust-cbindgen (0.24.3-2) unstable; urgency=medium

  * Team upload.
  * Package cbindgen 0.24.3 from crates.io using debcargo 2.6.0
  * Relax dev-dependency on serial-test.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 17 Nov 2022 20:11:36 +0000

rust-cbindgen (0.24.3-1) unstable; urgency=medium

  * Package cbindgen 0.24.3 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 25 Jun 2022 15:27:28 +0200

rust-cbindgen (0.23.0-1) unstable; urgency=medium

  * Package cbindgen 0.23.0 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 03 Jun 2022 11:20:37 +0200

rust-cbindgen (0.19.0-1) experimental; urgency=medium

  * Package cbindgen 0.19.0 from crates.io using debcargo 2.4.4-alpha.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 May 2021 17:55:15 +0200

rust-cbindgen (0.18.0-1) experimental; urgency=medium

  * Package cbindgen 0.18.0 from crates.io using debcargo 2.4.4-alpha.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Mar 2021 17:23:20 +0100

rust-cbindgen (0.17.0-4) unstable; urgency=medium

  * Team upload.
  * Package cbindgen 0.17.0 from crates.io using debcargo 2.4.4
  * Add test dependencies on gcc and g++

 -- Peter Michael Green <plugwash@debian.org>  Fri, 12 Feb 2021 16:33:26 +0000

rust-cbindgen (0.17.0-3) unstable; urgency=medium

  * Team upload.
  * Package cbindgen 0.17.0 from crates.io using debcargo 2.4.4
  * Change build and test dependencies from cython to cython3
  * Use cython3 for tests
  * Use tmpdir for tests rather than crate dir to fix permission
    denied errors.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 12 Feb 2021 01:41:20 +0000

rust-cbindgen (0.17.0-2) unstable; urgency=medium

  * Team upload.
  * Package cbindgen 0.17.0 from crates.io using debcargo 2.4.4
  * Fix very old timestamps (Closes: #982130)
  * Remove old and broken override of debian/tests/control
  * Add cython to the autopkgtest dependencies too.
  * Mark test for no-features case as broken
  * Mark other testcases as not broken.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 11 Feb 2021 18:44:43 +0000

rust-cbindgen (0.17.0-1) unstable; urgency=medium

  * Package cbindgen 0.17.0 from crates.io using debcargo 2.4.4-alpha.0
    (Closes: #982022)
  * Add cython to the build dep for the tests

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Feb 2021 16:15:06 +0100

rust-cbindgen (0.15.0-1) unstable; urgency=medium

  * Package cbindgen 0.15.0 from crates.io using debcargo 2.4.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Oct 2020 15:21:12 +0200

rust-cbindgen (0.14.6-1) unstable; urgency=medium

  * Package cbindgen 0.14.6 from crates.io using debcargo 2.4.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 26 Sep 2020 10:06:03 +0200

rust-cbindgen (0.14.4-1) unstable; urgency=medium

  * Package cbindgen 0.14.4 from crates.io using debcargo 2.4.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 29 Aug 2020 12:05:03 +0200

rust-cbindgen (0.14.3-1) unstable; urgency=medium

  * Package cbindgen 0.14.3 from crates.io using debcargo 2.4.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Jun 2020 20:52:42 +0200

rust-cbindgen (0.14.2-1) unstable; urgency=medium

  * Package cbindgen 0.14.2 from crates.io using debcargo 2.4.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 10 May 2020 13:48:47 +0200

rust-cbindgen (0.14.1-1) unstable; urgency=medium

  * Package cbindgen 0.14.1 from crates.io using debcargo 2.4.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Apr 2020 17:53:22 +0200

rust-cbindgen (0.14.0-3) unstable; urgency=medium

  * Package cbindgen 0.14.0 from crates.io using debcargo 2.4.0
  * Only run the testssuite on the binary

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 Apr 2020 18:54:29 +0200

rust-cbindgen (0.14.0-2) unstable; urgency=medium

  * Don't run autopkgtest for now. It needs g++ and I cannot
    add it as dep as debcargo doesn't manage that yet.
    WIP https://salsa.debian.org/rust-team/debcargo/-/merge_requests/24

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 Apr 2020 12:04:43 +0200

rust-cbindgen (0.14.0-1) unstable; urgency=medium


