## rust-cbindgen-web 0.27.0

=== debian/changelog ===
rust-cbindgen-web (0.27.0-1~deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Backport to bookworm as rust-cbindgen-web. Since we're vendoring
    the dependencies, we can't easily ship a librust-cbindgen-dev package
    as it's dependencies won't be available, and there are build-rdeps
    for that binary now so we can't just disable it.
  * Vendor dependencies, they are not available in bookworm.
  * Only build the cbindgen binary. Since we're vendoring the dependencies,
    we can't easily ship a librust-cbindgen-web-dev package as its
    dependencies won't be available.
  * Build with rustc-web.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 10 Sep 2025 11:52:07 +0200

rust-cbindgen (0.27.0-1) unstable; urgency=medium

  * Package cbindgen 0.27.0 from crates.io using debcargo 2.6.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 Sep 2024 09:15:54 +0200
