=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 12),
- dh-cargo (>= 24),
- cargo-mozilla:native,
- rustc-web:native (>= 1.64),
- libstd-rust-web-dev,
+ dh-cargo (>= 25),
+ cargo:native,
+ rustc-web:native (>= 1.74),
+ libstd-rust-dev,
  help2man,
- cython3
+ cython3,
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Sylvestre Ledru <sylvestre@debian.org>
