=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,10 @@
 %:
 	dh $@ --buildsystem cargo
 
-override_dh_auto_configure:
+execute_before_dh_auto_configure:
 	cp -a debian/vendor/ .
-	dh_auto_configure -O--buildsystem=cargo
 
-override_dh_clean:
-	dh_clean -O--buildsystem=cargo
+execute_after_dh_clean:
 	rm -rf vendor/
 
 override_dh_auto_test:
